summaryrefslogtreecommitdiffstats
path: root/games/pushover
diff options
context:
space:
mode:
author MLanden <mlanden2009.home[AT]gmail.com>2011-06-25 19:06:14 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-06-25 19:06:14 -0300
commitae457799670ed1e84486d5533e07756aa7375372 (patch)
tree567a17a4ef4c01900995fdd1f62c1e783ca33549 /games/pushover
parent7eb3886e37d4cfdceb5bf8210ff4994de189a281 (diff)
downloadslackbuilds-ae457799670ed1e84486d5533e07756aa7375372.tar.gz
slackbuilds-ae457799670ed1e84486d5533e07756aa7375372.tar.xz
games/pushover: Added (puzzle game)
Diffstat (limited to 'games/pushover')
-rw-r--r--games/pushover/README4
-rw-r--r--games/pushover/pushover.SlackBuild93
-rw-r--r--games/pushover/pushover.info10
-rw-r--r--games/pushover/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/games/pushover/README b/games/pushover/README
new file mode 100644
index 0000000000..e0bb0a4311
--- /dev/null
+++ b/games/pushover/README
@@ -0,0 +1,4 @@
+Pushover is a puzzle game originally published by Ocean in 1992. In this
+game, you control an ant that can walk along platforms that are connected
+with ladders. On those platforms are dominos that need to fall according
+to some rules.
diff --git a/games/pushover/pushover.SlackBuild b/games/pushover/pushover.SlackBuild
new file mode 100644
index 0000000000..9830dc2db9
--- /dev/null
+++ b/games/pushover/pushover.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for pushover
+#
+# Copyright 2011 MLanden
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pushover
+VERSION=0.0.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pushover/pushover.info b/games/pushover/pushover.info
new file mode 100644
index 0000000000..9bed863e48
--- /dev/null
+++ b/games/pushover/pushover.info
@@ -0,0 +1,10 @@
+PRGNAM="pushover"
+VERSION="0.0.3"
+HOMEPAGE="http://pushover.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/pushover/pushover-0.0.3.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="831feec2d46583db01647a73295d4108"
+MD5SUM_x86_64=""
+MAINTAINER="MLanden"
+EMAIL="mlanden2009.home[AT]gmail.com"
+APPROVED="Niels Horn"
diff --git a/games/pushover/slack-desc b/games/pushover/slack-desc
new file mode 100644
index 0000000000..25a61503a5
--- /dev/null
+++ b/games/pushover/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pushover: pushover (puzzle game)
+pushover:
+pushover: Pushover is a puzzle game originally published by Ocean in 1992.
+pushover: In this game, you control an ant that
+pushover: can walk along platforms that are connected with ladders.
+pushover: On those platforms are are dominos that
+pushover: need to fall according to some rules.
+pushover:
+pushover: Homepage: http://pushover.sourceforge.net/
+pushover:
+pushover: